import { Component, Event, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotFormCommunication_ {
    /**
     * Вызов функции вывода меню при условии совпадения таргета клика с нужным узлом
     */
    clickPopUp(event) {
        console.log(event);
        if (event.target === this.ourModal) {
            this.closeForm.emit();
        }
    }
    ;
    render() {
        return (h("div", { class: "form_bckgrnd" },
            h("div", { class: "closed", onClick: (event) => this.clickPopUp(event), ref: (el) => this.ourModal = el },
                h("cnt-flexy-view-abdullakh-bot-form-close", null)),
            h("div", { class: "form_position" },
                h("div", { class: "formBlock" },
                    h("div", { class: "mobile_form_line" },
                        h("cnt-flexy-view-abdullakh-bot-form-close", null)),
                    h(Form, { arr: this.payload.formInterviewText })))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-form-communication_"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form-communication_.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form-communication_.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "AbdullakhBotFormCommunication",
                "resolved": "AbdullakhBotFormCommunication",
                "references": {
                    "AbdullakhBotFormCommunication": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 FormCommunication"
            }
        }
    }; }
    static get events() { return [{
            "method": "closeForm",
            "name": "closeForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0417\u0430\u043A\u0440\u044B\u0442\u0438\u0435 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню
 */
const Form = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-form", { arr: item }));
    });
};
