import { Component, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotForm {
    render() {
        return (h("form", { class: "form", action: "" },
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" }, this.arr.nameInterview),
                h("div", null,
                    h("input", { class: "inputSize", type: "text" }))),
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" }, this.arr.businessInterview),
                h("div", null,
                    h("select", { class: "inputSize" },
                        h(Select, { arr: this.arr.businessSelect })))),
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" },
                    this.arr.websiteInterview,
                    ")"),
                h("div", null,
                    h("input", { class: "inputSize", type: "text" }))),
            h("div", { class: "mt-4" },
                h("cnt-flexy-view-abdullakh-bot-form-input", { phoneMask: this.arr.numberSection })),
            h("div", { class: "form_btn_block mt-4" },
                h("button", { class: "form_btn", disabled: true },
                    this.arr.btnText,
                    ")"))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-form"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "AbdullakhBotForm",
                "resolved": "AbdullakhBotForm",
                "references": {
                    "AbdullakhBotForm": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u0438\u0437 \u043C\u0430\u0441\u0441\u0438\u0432\u0430 \u0434\u043B\u044F \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Form"
            }
        }
    }; }
}
/*
* компонентная функция для вывода элементов option
 */
const Select = (props) => {
    return props.arr.map((item) => {
        return (h("option", { value: item.select, selected: item.selected }, item.select));
    });
};
