import { ComponentInterface, EventEmitter } from '../../../../../stencil-public-runtime';
import { AbdullakhBotFormCommunication } from "./interface/common.interface";
export declare class CntFlexyViewAbdullakhBotFormCommunication_ implements ComponentInterface {
    /**
     * данные компонента FormCommunication
     */
    payload: AbdullakhBotFormCommunication;
    /**
     * Закрытие модального окна формы
     */
    closeForm: EventEmitter;
    /**
     * ref для закрытия модального окна
     */
    ourModal: HTMLElement;
    /**
     * Вызов функции вывода меню при условии совпадения таргета клика с нужным узлом
     */
    clickPopUp(event: any): void;
    render(): any;
}
