export const formCommunication = {
    id: 1,
    formInterviewText: [
        {
            nameInterview: 'Как вас зовут',
            businessInterview: 'У вас уже есть бизнес',
            businessSelect: [
                { id: 1, select: 'Да', selected: true },
                { id: 2, select: 'Планирую открыть', selected: false },
                { id: 3, select: 'Нет', selected: false },
            ],
            websiteInterview: 'Ссылка на ваш сайт (если есть)',
            numberSection: {
                numberInterview: 'Ваш номер',
                defaultNumber: 35,
                phonemask: [
                    {
                        id: 1,
                        country: 'Afghanistan (افغانستان‎)',
                        countryNumber: '+93',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-61px -5px'
                    },
                    {
                        id: 2,
                        country: 'Albania (Shqipëri)',
                        countryNumber: '+355',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-117px -5ppx'
                    },
                    {
                        id: 3,
                        country: 'Algeria (الجزائر‎)',
                        countryNumber: '+213',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-61px -97px'
                    },
                    {
                        id: 4,
                        country: 'Andorra',
                        countryNumber: '+376',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '5px -5px'
                    },
                    {
                        id: 5,
                        country: 'Angola',
                        countryNumber: '+244',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-173px -5px'
                    },
                    {
                        id: 6,
                        country: 'Armenia (Հայաստան)',
                        countryNumber: '+374',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-145px -5px'
                    },
                    {
                        id: 7,
                        country: 'Antigua and Barbuda',
                        countryNumber: '+1 (268)',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-89px -5px'
                    },
                    {
                        id: 8,
                        country: 'Argentina',
                        countryNumber: '+54',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-201px -5px'
                    },
                    {
                        id: 9,
                        country: 'Australia',
                        countryNumber: '+61',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-257px -5px'
                    },
                    {
                        id: 10,
                        country: 'Austria (Österreich)',
                        countryNumber: '+43',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-229px -5px'
                    },
                    {
                        id: 11,
                        country: 'Azerbaijan (Azərbaycan)',
                        countryNumber: '+994',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-285px -5px'
                    },
                    {
                        id: 12,
                        country: 'Bahamas',
                        countryNumber: '+1 (242)',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-5px -51px'
                    },
                    {
                        id: 13,
                        country: 'Bahrain (البحرين‎)',
                        countryNumber: '+973',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-145px -28px'
                    },
                    {
                        id: 14,
                        country: 'Bangladesh (বাংলাদেশ)',
                        countryNumber: '+880',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-33px -28px'
                    },
                    {
                        id: 15,
                        country: 'Barbados',
                        countryNumber: '+1 (246)',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-5px -28px'
                    },
                    {
                        id: 16,
                        country: 'Belarus (Беларусь)',
                        countryNumber: '+375',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-89px -51px'
                    },
                    {
                        id: 17,
                        country: 'Belgium (België)',
                        countryNumber: '+32',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-61px -28px'
                    },
                    {
                        id: 18,
                        country: 'Belize',
                        countryNumber: '+501',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-117px -51px'
                    },
                    {
                        id: 19,
                        country: 'Benin (Bénin)',
                        countryNumber: '+229',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-201px -28px'
                    },
                    {
                        id: 20,
                        country: 'Canada',
                        countryNumber: '+1',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-145px -51px'
                    },
                    {
                        id: 21,
                        country: 'France',
                        countryNumber: '+33',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-33px -120px'
                    },
                    {
                        id: 22,
                        country: 'Georgia (საქართველო)',
                        countryNumber: '+995',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-145px -120px'
                    },
                    {
                        id: 23,
                        country: 'Germany (Deutschland)',
                        countryNumber: '+49',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-257px -74px'
                    },
                    {
                        id: 24,
                        country: 'India (भारत)',
                        countryNumber: '+91',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-285px -143px'
                    },
                    {
                        id: 25,
                        country: 'Italy (Italia)',
                        countryNumber: '+39',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-61px -166px'
                    },
                    {
                        id: 26,
                        country: 'Japan (日本)',
                        countryNumber: '+81',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-145px -166px'
                    },
                    {
                        id: 27,
                        country: 'Kazakhstan (Казахстан)',
                        countryNumber: '+7',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-117px -189px'
                    },
                    {
                        id: 28,
                        country: 'Kyrgyzstan (Кыргызстан)',
                        countryNumber: '+996',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-201px -166px'
                    },
                    {
                        id: 29,
                        country: 'Latvia (Latvija)',
                        countryNumber: '+371',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-61px -212px'
                    },
                    {
                        id: 30,
                        country: 'Mexico (México)',
                        countryNumber: '+52',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-201px -235px'
                    },
                    {
                        id: 31,
                        country: 'Moldova (Republica Moldova)',
                        countryNumber: '+373',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-173px -212px'
                    },
                    {
                        id: 32,
                        country: 'Mongolia (Монгол)',
                        countryNumber: '+976',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-33px -235px'
                    },
                    {
                        id: 33,
                        country: 'Poland (Polska)',
                        countryNumber: '+48',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-61px -281px'
                    },
                    {
                        id: 34,
                        country: 'Romania (România)',
                        countryNumber: '+40',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-201px -281px'
                    },
                    {
                        id: 35,
                        country: 'Russian Federation (Российская Федерация)',
                        countryNumber: '+7',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-257px -281px'
                    },
                    {
                        id: 36,
                        country: 'Saudi Arabia (المملكة العربية السعودية‎)',
                        countryNumber: '+966',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-313px -281px'
                    },
                    {
                        id: 37,
                        country: 'South Korea (대한민국)',
                        countryNumber: '+82',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-33px -189px'
                    },
                    {
                        id: 38,
                        country: 'Spain (España)',
                        countryNumber: '+34',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-229px -97px'
                    },
                    {
                        id: 39,
                        country: 'Sweden (Sverige)',
                        countryNumber: '+46',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-89px -304px'
                    },
                    {
                        id: 40,
                        country: 'Turkey (Türkiye)',
                        countryNumber: '+90',
                        flag: 'https://static.tildacdn.com/lib/flags/flags.png?ver=2',
                        flagPosition: '-341px -28px'
                    },
                ]
            },
            btnText: 'Создать бота',
        }
    ]
};
export const header = {
    id: 'header',
    logoUrl: "5.jpg",
    phoneNumber: '+7 995 606 84 62',
    menu: [
        { id: 1, linkName: 'Возможности', menuLine: 'menuLine.svg' },
        { id: 2, linkName: 'Преимущества', menuLine: 'menuLine.svg' },
        { id: 3, linkName: 'Для кого', menuLine: 'menuLine.svg' },
    ]
};
export const ProductPresentation = {
    imgUrl: "phone.svg",
    icon: [
        { id: 'whatsApp', img: 'waaa.svg' },
        { id: 'telegram', img: 'telegram.png' },
        { id: 'viber', img: 'viber.png' },
        { id: 'mes', img: 'fb.svg' },
        { id: 'vk', img: 'vk.svg' },
    ],
    title: [
        {
            id: 1,
            text: "Сделаем\n" +
                "\nчат-бота для\n" +
                "\nтвоего бизнеса\n",
            imgUrl: "Vector.svg",
            behindText: 'за', price: '9 900 ₽',
            btnText: 'Создать бота'
        },
    ]
};
export const ProductInformation = {
    title: "Что умеют чат-боты",
    infoBlock: [
        {
            id: 1,
            outerImg: 'productInfoImg_1.svg',
            innerImg: 'rocket_1.svg',
            text: `
            Чат-бот может приводить вам
                <strong>
                    <span style="color: rgb(255, 208, 0);">
                        новых клиентов
                    </span>
                </strong>`,
            btnText: 'То, что мне нужно!'
        },
        {
            id: 2,
            outerImg: 'productInfoImg_2.svg',
            innerImg: 'profit_1.svg',
            text: `
            Чат-бот может
              <strong>
                <span data-redactor-tag="span" style="color: rgb(255, 208, 0);">
                    увеличить конверсию
                </span>
              </strong> вашего сайта или повторные продажи имеющимся клиентам`,
            btnText: 'Хочу такого!'
        },
        {
            id: 3,
            outerImg: 'productInfoImg_3.svg',
            innerImg: 'training_1.svg',
            text: `
            Чат-бот может
            <span style="color: rgb(255, 208, 0);">
              <strong>обучать </strong>
            </span>
            ваших клиентов и
             <strong>
               <span style="color: rgb(255, 208, 0);">
                 сотрудников
               </span>
             </strong>`,
            btnText: 'Точно для нас!'
        },
        {
            id: 4,
            outerImg: 'productInfoImg_4.svg',
            innerImg: 'chatbot_1.svg',
            text: `
            Чат-бот может выполнять роли секретаря, администратора,
            продавца. специалиста техподдержки,
            <strong>
              <span style="color: rgb(255, 208, 0);">
                сопровождая
              </span>
            </strong>
            ваших
            <span style="color: rgb(255, 208, 0);">
              <strong>
                клиентов
              </strong>
            </span>
            по всему циклу сделки.`,
            btnText: 'Подходит!'
        },
        {
            id: 5,
            outerImg: 'productInfoImg_5.svg',
            innerImg: 'plane_1.svg',
            text: `
            Чат-бот может рассылать вашим клиентам полезную
            информацию, подготовить их к покупке,
            <strong>
              <span style="color: rgb(255, 208, 0);">
                осуществить допродажу
              </span>
            </strong> дополнительных
            товаров или услуг.`,
            btnText: 'Идеально, беру!'
        },
    ]
};
export const TransitionCreateBot = {
    title: [
        {
            id: 1,
            imgUrl: "undraw_chat_bot_kli5.svg",
            title: `Создай <br/> своего бота`
        },
    ],
    follow: [
        {
            id: 2,
            text: `Выберите необходимый
         функционал бота в этой
         форме чтобы
         <strong>
           <span style="color: rgb(255, 208, 0);">
             составить шаблон бота
           </span>
         </strong>`,
            btnText: 'Создать бота'
        },
    ]
};
export const PerformanceAndBenefits = {
    PerformanceandBenefitsbckgrnd: 'bg.svg',
    PerformanceInformation: [
        {
            imgUrl: 'perfomansInfoImg.svg',
            title: 'Где использование ботов будет наиболее эффективным.',
            ContentRightEndText: 'ВАШ БИЗНЕС',
            ContentLeftEndText: 'ВАШ БИЗНЕС',
            btnText: 'Разработать →',
            right: [
                {
                    id: 1,
                    text: 'Агентства недвижимости и застройщики',
                },
                {
                    id: 2,
                    text: 'Дизайн и ремонт квартир',
                },
                {
                    id: 3,
                    text: 'Юридические услуги',
                },
                {
                    id: 4,
                    text: 'Автошколы',
                },
                {
                    id: 5,
                    text: 'Автосервисы',
                },
                {
                    id: 6,
                    text: 'Страховые компании и брокеры',
                },
                {
                    id: 7,
                    text: 'Ремонт бытовой техники',
                },
                {
                    id: 8,
                    text: 'Маникюр, ресницы, перманентный макияж, прически',
                },
                {
                    id: 9,
                    text: 'Медицинские центры',
                }, {
                    id: 10,
                    text: 'Курсы иностранных языков',
                },
                {
                    id: 11,
                    text: 'Изготовление мебели',
                },
                {
                    id: 12,
                    text: 'Транспортные компании (такси, перевозки)',
                },
                {
                    id: 13,
                    text: 'Купля-продажа недвижимости',
                }
            ],
            left: [
                {
                    id: 1,
                    text: 'Еда (Ресторан, доставка)',
                },
                {
                    id: 2,
                    text: 'Одежда, обувь и аксессуары',
                },
                {
                    id: 3,
                    text: 'Автосалоны и запчасти',
                },
                {
                    id: 4,
                    text: 'Товары для ремонта',
                },
                {
                    id: 5,
                    text: 'Товары для дома и дачи',
                },
                {
                    id: 6,
                    text: 'Товары для спорта и отдыха',
                },
                {
                    id: 7,
                    text: 'Товары для красоты и здоровья',
                },
                {
                    id: 8,
                    text: 'Салоны цветов и подарков',
                },
                {
                    id: 9,
                    text: 'Компьютеры, электроника и бытовая техника',
                },
                {
                    id: 10,
                    text: 'Любые интернет-магазины',
                },
                {
                    id: 11,
                    text: 'Игрушки, игры и развлечения',
                },
                {
                    id: 12,
                    text: 'Узкоспециализированные товары',
                },
                {
                    id: 13,
                    text: 'Книги и обучающие материалы',
                },
            ]
        }
    ],
    BenefitsBots: [
        {
            title: "Преимущества чат-ботов",
            infoBlock: [
                {
                    id: 1,
                    outerImg: 'Ellipse_12.svg',
                    innerImg: '1.svg',
                    title: 'Низкая цена',
                    text: 'Бот поможет оптимизировать затраты на сотрудников'
                },
                {
                    id: 2,
                    outerImg: 'Ellipse_12.svg',
                    innerImg: '2.svg',
                    title: 'Рост конверсии',
                    text: 'Бот увеличивает приток клиентов с сайта, и привлекает новых клиентов'
                },
                {
                    id: 3,
                    outerImg: 'Ellipse_12.svg',
                    innerImg: '3.svg',
                    title: 'Работает 24/7',
                    text: 'Бот не отдыхает, не обедает, не спит'
                },
                {
                    id: 4,
                    outerImg: 'Ellipse_12.svg',
                    innerImg: '10.svg',
                    title: 'Высокая скорость работы',
                    text: 'Бот отвечает моментально'
                },
                {
                    id: 5,
                    outerImg: 'Ellipse_12.svg',
                    innerImg: '5.svg',
                    title: 'Простое обслуживание',
                    text: 'Бота легко дорабатывать и обновлять'
                },
                {
                    id: 6,
                    outerImg: 'Ellipse_12.svg',
                    innerImg: '6.svg',
                    title: 'Автоматизация рутины',
                    text: 'Бот экономит ваше время автоматически выполняя любые типовые задачи'
                },
            ]
        }
    ]
};
export const Consultation = {
    imgUrl: 'undraw_moving_forwar.svg',
    title: 'Бесплатная консультация',
    text: `
        Расскажем какой
            <strong>
                <span style="color: rgb(255, 208, 0);">
                    чат-бот
                </span>
            </strong> подойдет
            <strong>
                <span style="color: rgb(255, 208, 0);">
                    вашему бизнесу
                 </span>
            </strong>`,
    btnText: 'Хочу консультацию'
};
export const Tariffs = {
    dinamicImg: 'tariffsDinamicImg.svg',
    dinamicText: '$',
    title: "Тарифы",
    bckgrndImg: 'undraw_work_chat_erd.svg',
    infoBlock: [
        {
            id: 1,
            outerImg: 'Ellipse_11.svg',
            innerImg: 'boy_1.svg',
            class: 'small',
            title: 'Чат-бот визитка',
            text: 'Чат-бот который поможет вашим клиентам познакомится с вашим бизнесом, узнать информацию о оказываемых услугах.',
            priceText: 'узнайте стоимость',
            btnText: 'Заказать бота'
        },
        {
            id: 2,
            outerImg: 'Ellipse_11.svg',
            innerImg: 'icons8-chuck-norris-.png',
            class: 'big',
            title: 'Чат-бот лидогенератор',
            text: 'Помогает обрабатывать запросы клиентов в мессенджерах.\n' +
                'В режиме "вопрос-ответ" узнает потребность клиента, собирает контактные данные и отправляет заявку на вашу почту или в CRM.',
            priceText: 'узнайте стоимость',
            btnText: 'Заказать бота'
        },
        {
            id: 3,
            outerImg: 'Ellipse_11.svg',
            innerImg: 'darth.svg',
            class: 'small',
            title: 'Чат-бот магазин',
            text: 'Чат-бот знакомит покупателя с ассортиментом товаров\n.' +
                'Главное меню с кнопками помогает покупателю сформировать заказ и оплатить его банковской картой.',
            priceText: 'узнайте стоимость',
            btnText: 'Заказать бота'
        },
    ]
};
export const footer = {
    icons: [
        {
            id: 1,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/il/ios11-imessage-app-store-icon.png',
            iconName: 'Магазин'
        },
        {
            id: 2,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios12-messages-imessage-photos-app.png',
            iconName: 'Фото'
        },
        {
            id: 3,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios10-message-imessage-music-app.png',
            iconName: 'Музыка'
        },
        {
            id: 4,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios11-imessage-digital-touch-icon.png',
            iconName: 'Digital Touch'
        },
        {
            id: 5,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios10-message-imessage-images-app.png',
            iconName: 'images'
        },
        {
            id: 6,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios11-message-imessage-apple-pay-app.png',
            iconName: 'Apple Pay'
        },
        {
            id: 7,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios12-messages-imessage-memoji-icon.png',
            iconName: 'Animoji'
        },
        {
            id: 8,
            iconHref: 'https://support.apple.com/library/content/dam/edam/applecare/images/en_US/iOS/ios13-imessage-memoji-sticker-icon.png',
            iconName: 'Memoji'
        },
        {
            id: 9,
            iconHref: 'https://i2.wp.com/nigil.ru/wp-content/uploads/2015/06/whatsapp.png?resize=512%2C512',
            iconName: 'WhatsApp'
        },
    ]
};
